%define upstream_name    Tcl
%define upstream_version 1.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Complete access to Tcl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Tcl-1.04-fmt_error.patch

BuildRequires: tcl-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
The Tcl extension module gives access to the Tcl library with functionality
and interface similar to the C functions of Tcl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .fmt
rm -fr tcl-core

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
	--nousestubs \
	--tclsh=%{_libdir}/tclConfig.sh \
	--tclconfig=%{_libdir}/tclConfig.sh
%make


%install
%makeinstall_std

chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.10.1/i386-linux-thread-multi/auto/Tcl/Tcl.so

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 30 2018 adrianomorselli <adrianomorselli> 1.40.0-4uplos2018
- rebuild
